QCPStatisticalBoxData Class Reference
Author: Emanuel Eichhammer

· · · ·
Public Functions | Public Members | Static Public Functions
QCPStatisticalBoxData Class Reference

Holds the data of one single data point for QCPStatisticalBox. More...

## Public Functions
| QCPStatisticalBoxData ()
| QCPStatisticalBoxData (double key, double minimum, double lowerQuartile, double median, double upperQuartile, double maximum, const QVector< double > &outliers=QVector< double >())
double | sortKey () const
double | mainKey () const
double | mainValue () const
QCPRange | valueRange () const

## Public Members
double | key
double | minimum
double | lowerQuartile
double | median
double | upperQuartile
double | maximum
QVector< double > | outliers

## Static Public Functions
static QCPStatisticalBoxData | fromSortKey (double sortKey)
static bool | sortKeyIsMainKey ()

## Detailed Description

Holds the data of one single data point for QCPStatisticalBox.

The stored data is:

- key: coordinate on the key axis of this data point (this is the mainKey and the sortKey)

- minimum: the position of the lower whisker, typically the minimum measurement of the sample that's not considered an outlier.

- lowerQuartile: the lower end of the box. The lower and the upper quartiles are the two statistical quartiles around the median of the sample, they should contain 50% of the sample data.

- median: the value of the median mark inside the quartile box. The median separates the sample data in half (50% of the sample data is below/above the median). (This is the mainValue)

- upperQuartile: the upper end of the box. The lower and the upper quartiles are the two statistical quartiles around the median of the sample, they should contain 50% of the sample data.

- maximum: the position of the upper whisker, typically the maximum measurement of the sample that's not considered an outlier.

- outliers: a QVector of outlier values that will be drawn as scatter points at the key coordinate of this data point (see QCPStatisticalBox::setOutlierStyle)

The container for storing multiple data points is QCPStatisticalBoxDataContainer. It is a typedef for QCPDataContainer with QCPStatisticalBoxData as the DataType template parameter. See the documentation there for an explanation regarding the data type's generic methods.

See also
  QCPStatisticalBoxDataContainer

## Constructor & Destructor Documentation

## ◆ QCPStatisticalBoxData() [1/2]

QCPStatisticalBoxData::QCPStatisticalBoxData | ( |  | ) |

Constructs a data point with key and all values set to zero.

## ◆ QCPStatisticalBoxData() [2/2]

QCPStatisticalBoxData::QCPStatisticalBoxData | ( | double | key,
|  | double | minimum,
|  | double | lowerQuartile,
|  | double | median,
|  | double | upperQuartile,
|  | double | maximum,
|  | const QVector< double > & | outliers = `QVector<double>()`
| ) |  |

Constructs a data point with the specified key, minimum, lowerQuartile, median, upperQuartile, maximum and optionally a number of outliers.

## Member Function Documentation

## ◆ sortKey()

double QCPStatisticalBoxData::sortKey | ( |  | ) | const
| inline

Returns the key member of this data point.

For a general explanation of what this method is good for in the context of the data container, see the documentation of QCPDataContainer.

## ◆ fromSortKey()

static QCPStatisticalBoxData QCPStatisticalBoxData::fromSortKey | ( | double | sortKey | ) |
| inlinestatic

Returns a data point with the specified sortKey. All other members are set to zero.

For a general explanation of what this method is good for in the context of the data container, see the documentation of QCPDataContainer.

## ◆ sortKeyIsMainKey()

static static bool QCPStatisticalBoxData::sortKeyIsMainKey | ( |  | ) |
| inlinestatic

Since the member key is both the data point key coordinate and the data ordering parameter, this method returns true.

For a general explanation of what this method is good for in the context of the data container, see the documentation of QCPDataContainer.

## ◆ mainKey()

double QCPStatisticalBoxData::mainKey | ( |  | ) | const
| inline

Returns the key member of this data point.

For a general explanation of what this method is good for in the context of the data container, see the documentation of QCPDataContainer.

## ◆ mainValue()

double QCPStatisticalBoxData::mainValue | ( |  | ) | const
| inline

Returns the median member of this data point.

For a general explanation of what this method is good for in the context of the data container, see the documentation of QCPDataContainer.

## ◆ valueRange()

QCPRange QCPStatisticalBoxData::valueRange | ( |  | ) | const
| inline

Returns a QCPRange spanning from the minimum to the maximum member of this statistical box data point, possibly further expanded by outliers.

For a general explanation of what this method is good for in the context of the data container, see the documentation of QCPDataContainer.

The documentation for this class was generated from the following files:

- src/plottables/plottable-statisticalbox.h
- src/plottables/plottable-statisticalbox.cpp